using GiftShopContracts.BindingModels;
using GiftShopContracts.SearchModels;
using GiftShopContracts.ViewModels;

namespace GiftShopContracts.BusinessLogicsContracts
{
	public interface IImplementerLogic
	{
		List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);

		ImplementerViewModel? ReadElement(ImplementerSearchModel model);

		bool Create(ImplementerBindingModel model);

		bool Update(ImplementerBindingModel model);

		bool Delete(ImplementerBindingModel model);
	}
}
